Orxonox: orxonox::GametypeInfo Class Reference

# orxonox::GametypeInfo Class Reference

`#include <src/orxonox/objects/infos/GametypeInfo.h>`

Inheritance diagram for orxonox::GametypeInfo:

List of all members.

## Public Member Functions

void | dispatchAnnounceMessage (const std::string &message)
void | dispatchDeathMessage (const std::string &message)
void | dispatchKillMessage (const std::string &message)
| GametypeInfo (BaseObject *creator)
const std::string & | getHUDTemplate () const
float | getStartCountdown () const
bool | hasEnded () const
bool | hasStarted () const
bool | isStartCountdownRunning () const
void | registerVariables ()
void | sendAnnounceMessage (const std::string &message, unsigned int clientID)
void | sendAnnounceMessage (const std::string &message)
void | sendDeathMessage (const std::string &message, unsigned int clientID)
void | sendKillMessage (const std::string &message, unsigned int clientID)
virtual | ~GametypeInfo ()

## Private Attributes

bool | bEnded_
bool | bStartCountdownRunning_
bool | bStarted_
std::string | hudtemplate_
float | startCountdown_

## Friends

class | Gametype

## Constructor & Destructor Documentation

orxonox::GametypeInfo::GametypeInfo | ( | BaseObject * | creator | ) |

References bEnded_, bStartCountdownRunning_, bStarted_, RegisterObject, registerVariables(), and startCountdown_.

orxonox::GametypeInfo::~GametypeInfo | ( |  | ) | `[virtual]`

## Member Function Documentation

void orxonox::GametypeInfo::dispatchAnnounceMessage | ( | const std::string & | message | ) |

Referenced by sendAnnounceMessage().

void orxonox::GametypeInfo::dispatchDeathMessage | ( | const std::string & | message | ) |

Referenced by sendDeathMessage().

void orxonox::GametypeInfo::dispatchKillMessage | ( | const std::string & | message | ) |

Referenced by sendKillMessage().

const std::string& orxonox::GametypeInfo::getHUDTemplate | ( |  | ) | const`[inline]`

float orxonox::GametypeInfo::getStartCountdown | ( |  | ) | const`[inline]`

Referenced by orxonox::GametypeStatus::tick().

bool orxonox::GametypeInfo::hasEnded | ( |  | ) | const`[inline]`

Referenced by orxonox::GametypeStatus::tick().

bool orxonox::GametypeInfo::hasStarted | ( |  | ) | const`[inline]`

Referenced by orxonox::GametypeStatus::tick().

bool orxonox::GametypeInfo::isStartCountdownRunning | ( |  | ) | const`[inline]`

Referenced by orxonox::GametypeStatus::tick().

void orxonox::GametypeInfo::registerVariables | ( |  | ) |

References bEnded_, bStartCountdownRunning_, bStarted_, hudtemplate_, orxonox::Synchronisable::registerVariable(), startCountdown_, and orxonox::VariableDirection::ToClient.

Referenced by GametypeInfo().

void orxonox::GametypeInfo::sendAnnounceMessage | ( | const std::string & | message,
|  | unsigned int | clientID |
| ) |  |  |

References callMemberNetworkFunction, orxonox::CLIENTID_SERVER, dispatchAnnounceMessage(), orxonox::Synchronisable::getObjectID(), and orxonox::GameMode::isMaster().

void orxonox::GametypeInfo::sendAnnounceMessage | ( | const std::string & | message | ) |

References callMemberNetworkFunction, orxonox::CLIENTID_UNKNOWN, dispatchAnnounceMessage(), orxonox::Synchronisable::getObjectID(), and orxonox::GameMode::isMaster().

Referenced by orxonox::TeamBaseMatch::allowPawnDeath(), orxonox::UnderAttack::destroyedPawn(), orxonox::TeamBaseMatch::endGame(), orxonox::Asteroids::pawnKilled(), orxonox::Pong::playerScored(), orxonox::UnderAttack::tick(), and orxonox::Asteroids::tick().

void orxonox::GametypeInfo::sendDeathMessage | ( | const std::string & | message,
|  | unsigned int | clientID |
| ) |  |  |

References callMemberNetworkFunction, orxonox::CLIENTID_SERVER, dispatchDeathMessage(), orxonox::Synchronisable::getObjectID(), and orxonox::GameMode::isMaster().

Referenced by orxonox::Gametype::pawnKilled().

void orxonox::GametypeInfo::sendKillMessage | ( | const std::string & | message,
|  | unsigned int | clientID |
| ) |  |  |

References callMemberNetworkFunction, orxonox::CLIENTID_SERVER, dispatchKillMessage(), orxonox::Synchronisable::getObjectID(), and orxonox::GameMode::isMaster().

Referenced by orxonox::Gametype::pawnKilled().

## Friends And Related Function Documentation

friend class Gametype`[friend]`

## Member Data Documentation

bool orxonox::GametypeInfo::bEnded_`[private]`

Referenced by orxonox::Gametype::end(), GametypeInfo(), registerVariables(), and orxonox::Gametype::tick().

bool orxonox::GametypeInfo::bStartCountdownRunning_`[private]`

Referenced by orxonox::Gametype::checkStart(), GametypeInfo(), registerVariables(), and orxonox::Gametype::tick().

bool orxonox::GametypeInfo::bStarted_`[private]`

Referenced by orxonox::Gametype::assignDefaultPawnsIfNeeded(), orxonox::Gametype::checkStart(), GametypeInfo(), registerVariables(), orxonox::Gametype::start(), and orxonox::Gametype::tick().

std::string orxonox::GametypeInfo::hudtemplate_`[private]`

Referenced by registerVariables().

float orxonox::GametypeInfo::startCountdown_`[private]`

Referenced by orxonox::Gametype::checkStart(), GametypeInfo(), registerVariables(), and orxonox::Gametype::tick().

The documentation for this class was generated from the following files:

- src/orxonox/objects/infos/GametypeInfo.h
- src/orxonox/objects/infos/GametypeInfo.cc